The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Throughput Traffic

Prev Next

This URL gets details of enterprise throughput.

Resource URL

GET /ntbamonitors/{ntbaId}/throughputtraffic? TopN=<TopN> &startTime=<startTime>&endTime=<endTime&frequency=<frequency>

Request Parameters

Field Name Description Data Type Mandatory
ntbaId NTBA monitor id Number Yes
TopN Number of top rows, default 50. Number No
startTime Start time in the format: yyyy-MM-dd HH:mm String No
endTime End time in the format: yyyy-MM-dd HH:mm String No
frequency Frequency:

1min

10mins

Hourly

Daily

String No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
throughputTrafficList Traffic list Array

Details of throughputTrafficList:

Field Name Description Data Type
inbound Inbound traffic String
outbound Outbound traffic String
time Time String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/throughputtraffic?startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11

Response

{
"throughputTrafficList":[
       {"inbound":"0M",
    "outbound":"0M",
    "time":"2013-08-27 16:47:00"}]
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 4301 Invalid duration
2 400 4302 Invalid time format
3 400 4303 Start time is greater than ned time
4 400 4304 Invalid date format
5 400 4305 Start/End date is not provided
6 400 4306 Invalid NTBA id
7 400 4311 Invalid application id or no data